function PlotDPSplines(splineList, gridW, timeList)
% A function to plot splines at FOUR selected time instants
for i = 1:4
    subplot(2,2,i); hold on
    plot(gridW,ppval(splineList{timeList(i),1}, gridW), 'k:', ...
        'LineWidth', 1.2);
    plot(gridW,ppval(splineList{timeList(i),2}, gridW), 'k--', ...
        'LineWidth', 1.2);
    plot(gridW,ppval(splineList{timeList(i),3}, gridW), 'k', ...
        'LineWidth', 1.2);
    hold off
    title(sprintf('Time = %d', timeList(i)));
end


